#News NLP
===========================

This is a simple Python client for the news NLP.

Usage
-----
First install it

```
pip install News-NLP
```

Then instantiate and use it like this:

```python
import newsnlp
from newsnlp.GNews import GNews
from newsnlp.preprocessing import Preprocessing_Clf_SA, Preprocessing_GEO,Combine_Col
from newsnlp.gpr_classifier import GPR_Clf
from newsnlp.sentiment_clf import Sen_Clf
from newsnlp.geolocator import Get_CSC_Prob, CSC_Prob
```

* Fetch news articles from Google News API, `from newsnlp.GNews import GNews`,
* Preproces news data for sentiment analysis and news type classifier, `from newsnlp.preprocessing import Preprocessing_Clf_SA`
* Preproces news data for multiple-geolocator `from newsnlp.preprocessing import Preprocessing_GEO`,\
* Implement pretrained deep leanring model to caterise news article `from newsnlp.gpr_classifier import GPR_Clf`,\
* Perform sentiment classifier `from newsnlp.sentiment_clf import Sen_Clf`,\
* Implement multiple geolocator newsnlp.geolocator `import Get_CSC_Prob, CSC_Prob`,

