
# setup(name='News_NLP',
# version='0.5',
# description='This package aims to collect news data via Google News API, preporcessing, implement pretrained news type classifer and sentiment classifier and perform predictive model for news event and then implememnt multiple geolocator.',
# url='https://github.com/HigherHoopern/News_NLP/blob/main/TestNoteBook.ipynb',
# long_description='Pipeline includes\
#     1. Fetch news articles from Google News API, from News_NLP.GNews import GNews,\
#         2. Preproces news data for sentiment analysis and news type classifier, from News_NLP.preprocessing import Preprocessing_Clf_SA,\
#             3. Preproces news data for multiple-geolocator from News_NLP.preprocessing import Preprocessing_GEO,\
#                 4. Implement pretrained deep leanring model to caterise news article from News_NLP.gpr_classifier import GPR_Clf,\
#                     5. Perform sentiment classifier from News_NLP.sentiment_clf import Sen_Clf,\
#                         6. Implement multiple geolocator News_NLP.geolocator import Get_CSC_Prob, CSC_Prob,',
# author='JasonLu',
# author_email='luzhenxian@hotmail.com',
# license='MIT',
# packages=['News_NLP'],
# zip_safe=False)



from setuptools import setup
import re
from os import path


this_directory = path.abspath(path.dirname(__file__))
with open(path.join(this_directory, 'README.md')) as f:
    long_description = f.read()

setup(name='news-nlp',
      version='0.5',
      description='This package aims to collect news data via Google News API, preporcessing, implement pretrained news type classifer and sentiment classifier and perform predictive model for news event and then implememnt multiple geolocator.',
      long_description=long_description,
      long_description_content_type='text/markdown',
      author='Jason Lu',
      author_email='luzhenxian@hotmail.com',
      url='https://github.com/HigherHoopern/News_NLP/',
      packages=['newsnlp'],
      package_data={'': ['LICENSE']},
      include_package_data=True,
      install_requires=['requests'],
      license='MIT',
      zip_safe=False
)
